## org.apache.batik.css.engine.value
Class AbstractValueManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  ClipPathManager, ColorProfileManager, CursorManager, FilterManager, FontFamilyManager, FontSizeAdjustManager, GlyphOrientationManager, IdentifierManager, LengthManager, MarkerManager, MaskManager, OpacityManager, StrokeMiterlimitManager, TextDecorationManager

public abstract class AbstractValueManager
extends AbstractValueFactory
implements ValueManager

This class provides an abstract implementation of the ValueManager interface.

Constructor Summary
`AbstractValueManager()`

Method Summary
`Value` `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` `createFloatValue(short unitType, float floatValue)` Implements `ValueManager.createFloatValue(short,float)`.
`Value` `createStringValue(short type, java.lang.String value, CSSEngine engine)` Implements `ValueManager.createStringValue(short,String,CSSEngine)`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, getPropertyName, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.value.ValueManager
`createValue, getDefaultValue, getPropertyName, isInheritedProperty`

Constructor Detail

### AbstractValueManager

    public AbstractValueManager()

Method Detail

### createFloatValue

    public Value createFloatValue(short unitType,
                                  float floatValue)
                           throws org.w3c.dom.DOMException

  Implements `ValueManager.createFloatValue(short,float)`.

  Specified by:
    `createFloatValue` in interface `ValueManager`
  Parameters:
    `unitType` - A unit code as defined above. The unit code can only be a float unit type
    `floatValue` - The new float value.
  Throws:
    `org.w3c.dom.DOMException`

### createStringValue

    public Value createStringValue(short type,
                                   java.lang.String value,
                                   CSSEngine engine)
                            throws org.w3c.dom.DOMException

  Implements `ValueManager.createStringValue(short,String,CSSEngine)`.

  Specified by:
    `createStringValue` in interface `ValueManager`
  Parameters:
    `type` - A string code as defined in CSSPrimitiveValue. The string code can only be a string unit type.
    `value` - The new string value.
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Parameters:
    `elt` - The owner of the value.
    `pseudo` - The pseudo element.
    `engine` - The CSSEngine.
    `idx` - The property index in the engine.
    `sm` - The computed style map.
    `value` - The value to compute.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.